Skip to main content

Activities

Activities​

Resources​

  • /products/\{activityId\}

Methods​

  • GET

Summary of changes​

The term “Sightseeing” has been replaced by “Activities” in all aspects of our API. All references to sightseeing have therefore been renamed or removed

Activities are retrievable via GET /activities/{activityId}

The activityId can be retrieved from an associated trip product (GET /trips) that has the activity as a bookable component

Alternatively, to query for activities that are bookable for a certain trip, use the tripId query parameter (e.g. GET /activities?tripId={tripId})

Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /activities endpoint of the Partner API

Several fields have been removed or moved to a difference resource. See removed fields table for full details.

  • Note: Activities are returned only for trips where it is bookable as an add-on.

Request query parameter changes​

DescriptionPublic APIPartner APITypeNotes
**Trip ID Retrieve accommodations products that are bookable for this trip Idn/atripIdstring

Response changes​

No XML feed existed for sightseeing/activities, therefore it has been excluded here.

DescriptionXML FeedPublic APIPartner APIType
Activity IDn/aididstring
Namen/anamenamestring
Typen/an/atypestring
Subtypen/an/asubtypestring
Starting point of the activityn/astartPoint startPointBuildingName startPointCountryCode startPointLatitude startPointLongitudecity buildingName country latitude longitude"joiningPoint": { "buildingName": "Cochin Adventure Park", "city": "Marrakech", "country": "MA", "latitude": -25.2896192, "longitude": 152.8309158 }
Ending point of the activityn/aendPoint endPointBuildingName endPointCountryCode endPointLatitude endPointLongitudecity buildingName country latitude longitude"finishingPoint": { "buildingName": "Cochin Adventure Park", "city": "Marrakech", "country": "MA", "latitude": -25.2896192, "longitude": 152.8309158 }
Availability of the activityn/an/astatus"availability": { "status": "ON_REQUEST" }
Booking deadlinen/abookingClosedbookingDeadlineDaysinteger
Pricesn/apricesSee prices tablearray of objects

Current request (deprecated)​

The legacy Public API returned optional activities under the "sightseeing" resource with limited metadata.

GET https://api.intrepidtravel.com/v2/sightseeing?productCode=BKKCOOKING

{
"id": 3311,
"productCode": "BKKCOOKING",
"name": "Bangkok Cooking Class",
"prices": [
{ "currencyCode": "AUD", "amount": 95 }
]
}

Updated request​

Renamed to "activities" and expanded with type/subtype, location, and cancellation policy.

GET https://api.partners.intrepidtravel.cloud/activities/{activityCode}

{

"id": "157268",

"name": "Hervey Bay - Whale Watching (3 hours) - Adult ",

"type": "Activity",

"subType": null,

"joiningPoint": {

"buildingName": null,

"city": "Hervey Bay",

"country": "AU",

"latitude": -25.2896192,

"longitude": 152.8309158

},

"finishingPoint": {

"buildingName": null,

"city": "Hervey Bay",

"country": "AU",

"latitude": -25.2896192,

"longitude": 152.8309158

},

"availability": {

"status": "ON\_REQUEST"

},

"bookingDeadlineDays": 7,

"prices": [[...](#prices_json_sample)[]](#prices_json_sample)

}

Removed fields​

Removed FieldsXML FeedPublic APINotesRelevant Field (if applicable)
Removedn/astartDate
Removedn/aonRequestOnly
Removedn/ahref
Removedn/asequence
Removedn/aexternalReference
Removedn/acode